<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
if(!get_active('forums'))
{
	notActive();
}

$row = $GLOBALS['db']->RowQuery("SELECT uid FROM ".PREFIX."_f_topic WHERE id='$_REQUEST[toid]'");
$own = ($row->uid == UID) ? 1 : 0;
$f_id = $_REQUEST['fid'];

//=================================================================
// Zugriffsrechte
//=================================================================
$cat_query = $GLOBALS['db']->Query("SELECT group_id FROM " . PREFIX . "_f_forum WHERE id = '" . $f_id . "'");
while ($category = $cat_query->fetchrow_assoc())
{
	//=================================================================
	// miscrechte
	//=================================================================
	$group_ids = miscIds();
	$groups = explode(",", $category['group_id']);
	if (array_intersect($group_ids, $groups))
	{
		$permissions = getForumPermissionsByUser($f_id, UID);
	}
}

if($own != 1)
{
	if ($permissions[FORUM_PERMISSIONS_CAN_DELETE_TOPIC] == 0) koobi_message('Global_NoPermission', 'Global_NoPermission_t', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
}
else
{
	if ($permissions[FORUM_PERMISSION_CAN_DELETE_OWN_TOPIC] == 0) koobi_message('Global_NoPermission','Global_NoPermission_t',HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
}


	
if ($_REQUEST["toid"] == "" || $_REQUEST["fid"] == "") 
{
	koobi_message('Forums_Title', 'Forums_PermissionDenied', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
}

$Board_ID = Koobi_Board_GetTopic_Board($_REQUEST['toid']);
deleteTopic($_REQUEST["toid"]);
Koobi_Board_SetLastPost($Board_ID);
refer("index.php?p=showforum&fid=$_REQUEST[fid]");
exit;
?>